Subject: [bug#52828] [PATCH] Fix Disarchive fallback on Guix System

From: Ludovic Courtès <[email-masked]>
Date: Mon, 17 Jan 2022 14:11:32 +0100

Howdy!

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hmm yes, I guess you’re right, I prefer the initial patch after all.
>> (In particular I’m not keen on adding things to (guix config).)
>>
>> Go for it?
>
> Pushed as 3b6755defe44c4795e134a46a7ef7b6009146872.

Thanks!

>> Longer-term, I think it would still be interesting to migrate to
>> Guile-Zlib + Disarchive/Gash-Utils, but we can check that later—better
>> fix the Disarchive fallback first.
>
> For sure.  Changing it to use zlib was pretty easy.  Sadly, neither of
> those tarball libraries are slam dunks for Guix as of today.

I suppose they’re good enough for this use case, aren’t they?

Here we’re only dealing with one tarball producer (the software behind
SWH), so the scope is much narrower compared to what Gash might need to
support (tarballs of a variety of flavors.)

Ludo’.